<?xml version="1.0" encoding="windows-1252" ?>
<persistence xmlns="http://java.sun.com/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd" version="2.0">
    <persistence-unit name="restmatic" transaction-type="JTA">
        <description>This unit manages all RestMatic application entities</description>
        <provider>org.hibernate.ejb.HibernatePersistence</provider>
        <jta-data-source>jdbc/MYRMDS</jta-data-source>
        <!--jar-file>modelEJB.jar</jar-file-->
        <class>com.acme.model.domain.ejf.entity.JobConfiguration</class>
        <class>com.acme.model.domain.ejf.entity.Log</class>
        <class>com.acme.model.domain.ejf.entity.Role</class>
        <class>com.acme.model.domain.ejf.entity.RoleGroup</class>
        <class>com.acme.model.domain.ejf.entity.RoleGroupDetail</class>
        <class>com.acme.model.domain.ejf.entity.UserRoleGroup</class>
        <class>com.acme.model.domain.ejf.entity.User</class>
        <class>com.acme.model.domain.ad.entity.Address</class>
        <class>com.acme.model.domain.ad.entity.Branch</class>
        <class>com.acme.model.domain.ad.entity.Content</class>
        <class>com.acme.model.domain.ad.entity.City</class>
        <class>com.acme.model.domain.ad.entity.Country</class>
        <class>com.acme.model.domain.ad.entity.District</class>
        <class>com.acme.model.domain.ad.entity.Department</class>
        <class>com.acme.model.domain.ad.entity.Company</class>
        <class>com.acme.model.domain.ad.entity.Currency</class>
        <class>com.acme.model.domain.ad.entity.Unit</class>
        <class>com.acme.model.domain.ad.entity.UnitGroup</class>
        <class>com.acme.model.domain.ad.entity.Employee</class>
        <class>com.acme.model.domain.ad.entity.EmployeeContact</class>
        <class>com.acme.model.domain.sc.entity.Section</class>
        <class>com.acme.model.domain.sc.entity.Table</class>
        <class>com.acme.model.domain.sc.entity.Service</class>
        <class>com.acme.model.domain.sc.entity.ServiceGroup</class>
        <class>com.acme.model.domain.sc.entity.ServiceContent</class>
        <class>com.acme.model.domain.sc.entity.DeliveryAddress</class>
        <!--
      <class>com.acme.model.domain.sc.entity.Comment</class>
      <class>com.acme.model.domain.sc.entity.CustomerContact</class>
      <class>com.acme.model.domain.sc.entity.CustomerDeliveryAddress</class>
      <class>com.acme.model.domain.sc.entity.CustomerUser</class>
      <class>com.acme.model.domain.sc.entity.Order</class>
      <class>com.acme.model.domain.sc.entity.OrderDetail</class>
      <class>com.acme.model.domain.sc.entity.OrderDetailComment</class>
      <class>com.acme.model.domain.sc.entity.TableOrder</class-->
        <exclude-unlisted-classes>true</exclude-unlisted-classes>
        <properties>
            <!--DataSource lookup class is changed for each server-->
            <property name="hibernate.transaction.manager_lookup_class" value="org.hibernate.transaction.SunONETransactionManagerLookup"/>
            <!--property name="hibernate.transaction.manager_lookup_class" value="org.hibernate.transaction.WeblogicTransactionManagerLookup"/-->
            <property name="hibernate.hbm2ddl.auto" value="update"/>
            <property name="hibernate.current_session_context_class" value="jta"/>
            <property name="hibernate.dialect" value="org.hibernate.dialect.MySQLDialect"/>
            <!--property name="hibernate.query.factory_class" value="org.hibernate.hql.classic.ClassicQueryTranslatorFactory"/-->
            <!--property name="hibernate.show_sql" value="true"/>
         <property name="hibernate.format_sql" value="true"/>
         <property name="hibernate.use_sql_comments" value="true"/-->
            <!--property name="hibernate.archive.autodetection" value="class"/-->
        </properties>
    </persistence-unit>
</persistence>